LibreOffice: SpreadsheetDocument Service Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | Public Attributes | List of all members
SpreadsheetDocument Service Referencepublished

represents a model component which consists of some settings and one or more spreadsheets. More...

Inheritance diagram for SpreadsheetDocument:

## Included Services
service | com::sun::star::document::OfficeDocument
| common service for all types of documents.
service | com::sun::star::sheet::SpreadsheetDocumentSettings
| contributes spreadsheet document specific properties.

## Exported Interfaces
interface | com::sun::star::lang::XMultiServiceFactory
| provides methods to create instances of several spreadsheet services.
interface | com::sun::star::frame::XModel
| provides common methods for a document model.
interface | com::sun::star::document::XActionLockable
| provides methods to control the automatic update of cell contents.
interface | com::sun::star::document::XLinkTargetSupplier
| provides access to the collection of link targets available in the document.
interface | com::sun::star::util::XProtectable
| provides methods to protect and unprotect the document.
interface | com::sun::star::sheet::XSpreadsheetDocument
| provides access to the collection of spreadsheets.
interface | com::sun::star::sheet::XCalculatable
| controls the recalculation settings of the document.
interface | com::sun::star::sheet::XDocumentAuditing
| provides a method to refresh all auditing arrows.
interface | com::sun::star::sheet::XConsolidatable
| provides methods to perform a data consolidation.
interface | com::sun::star::sheet::XGoalSeek
| provides a method to perform a goal seek.
interface | com::sun::star::drawing::XDrawPagesSupplier
| provides access to the collection of draw pages of this document.
interface | com::sun::star::style::XStyleFamiliesSupplier
| provides access to the collection of style families.
interface | com::sun::star::util::XNumberFormatsSupplier
| provides access to the collection of number formats contained in the document.
Exported Interfaces inherited from OfficeDocument
interface | com::sun::star::frame::XModel
| represents a component which is created from a URL and arguments
interface | com::sun::star::util::XModifiable
| a storable document should provide information about his modify state
interface | com::sun::star::frame::XStorable
| offers a simple way to store a component to a URL
interface | com::sun::star::view::XPrintable
| offers a way to print a component
interface | XEventBroadcaster
| is an old and deprecated version of the XDocumentEventBroadcaster interface
interface | XDocumentEventBroadcaster
| makes it possible to register listeners which are called whenever a document event occurs
interface | XEventsSupplier
| access to bound event handlers
interface | XViewDataSupplier
| access to some properties describing all open views to a document
interface | com::sun::star::view::XPrintJobBroadcaster
| allows for getting information about a print job
interface | XEmbeddedScripts
| is supported when the document can contain scripts and dialogs
interface | XDocumentPropertiesSupplier
| access to the DocumentProperties.
interface | XUndoManagerSupplier
| provides access to the document's undo manager.
Exported Interfaces inherited from SpreadsheetDocumentSettings
interface | com::sun::star::beans::XPropertySet
| published service PropertySet

## Public Attributes
com::sun::star::sheet::XNamedRanges | NamedRanges
| contains the collection of named ranges in the document.
com::sun::star::sheet::XDatabaseRanges | DatabaseRanges
| contains the collection of database ranges in the document.
com::sun::star::sheet::XLabelRanges | ColumnLabelRanges
| contains the collection of column label ranges in the document.
com::sun::star::sheet::XLabelRanges | RowLabelRanges
| contains the collection of row label ranges in the document.
com::sun::star::container::XNameAccess | SheetLinks
| contains the collection of sheet links in the document.
com::sun::star::sheet::XAreaLinks | AreaLinks
| contains the collection of area links in the document.
com::sun::star::container::XNameAccess | DDELinks
| contains the collection of DDE links in the document.
Public Attributes inherited from OfficeDocument
boolean | AutomaticControlFocus
| controls the focus behavior of the form controls in the document
boolean | ApplyFormDesignMode
| controls the initial (on-load) behavior of the form controls in the document
string | RuntimeUID
| contains a unique id for the document

## Additional Inherited Members
Public Types inherited from OfficeDocument
typedef sequence< com::sun::star::beans::PropertyValue > | InteropGrabBag
| Grab bag of document properties, used as a string-any map for interim interop purposes.
Public Member Functions inherited from XModel
boolean | attachResource ([in] string URL, [in] sequence< com::sun::star::beans::PropertyValue > Arguments)
| informs a model about its resource description.
string | getURL ()
| provides information about the location of this model
sequence< com::sun::star::beans::PropertyValue > | getArgs ()
| provides read access on currently representation of the com::sun::star::document::MediaDescriptor of this model which describes the model and its state
void | connectController ([in] XController Controller)
| is called whenever a new controller is created for this model.
void | disconnectController ([in] XController Controller)
| is called whenever an existing controller should be deregistered at this model.
void | lockControllers ()
| suspends some notifications to the controllers which are used for display updates.
void | unlockControllers ()
| resumes the notifications which were suspended by XModel::lockControllers().
boolean | hasControllersLocked ()
| determines if there is at least one lock remaining.
XController | getCurrentController ()
| provides access to the controller which currently controls this model
void | setCurrentController ([in] XController Controller) raises ( com::sun::star::container::NoSuchElementException )
| sets a registered controller as the current controller.
com::sun::star::uno::XInterface | getCurrentSelection ()
| provides read access on current selection on controller
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XModifiable
boolean | isModified ()
void | setModified ([in] boolean bModified) raises ( com::sun::star::beans::PropertyVetoException )
| sets the status of the modified-flag from outside of the object.
Public Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified."
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener.
Public Member Functions inherited from XStorable
boolean | hasLocation ()
| The object may know the location because it was loaded from there, or because it is stored there.
string | getLocation ()
| After XStorable::storeAsURL() it returns the URL the object was stored to.
boolean | isReadonly ()
| It is not possible to call XStorable::store() successfully when the data store is read-only.
void | store () raises ( com::sun::star::io::IOException )
| stores the data to the URL from which it was loaded.
void | storeAsURL ([in] string sURL, [in] sequence< com::sun::star::beans::PropertyValue > lArguments) raises ( com::sun::star::io::IOException )
| stores the object's persistent data to a URL and makes this URL the new location of the object.
void | storeToURL ([in] string sURL, [in] sequence< com::sun::star::beans::PropertyValue > lArguments) raises ( com::sun::star::io::IOException )
| stores the object's persistent data to a URL and continues to be a representation of the old URL.
Public Member Functions inherited from XPrintable
sequence< com::sun::star::beans::PropertyValue > | getPrinter ()
void | setPrinter ([in] sequence< com::sun::star::beans::PropertyValue > aPrinter) raises ( com::sun::star::lang::IllegalArgumentException )
| assigns a new printer to the object.
void | print ([in] sequence< com::sun::star::beans::PropertyValue > xOptions) raises ( com::sun::star::lang::IllegalArgumentException )
| prints the object.
Public Member Functions inherited from XMultiServiceFactory
com::sun::star::uno::XInterface | createInstance ([in] string aServiceSpecifier) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name.
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] string ServiceSpecifier, [in] sequence< any > Arguments) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name and passes the arguments to that instance.
sequence< string > | getAvailableServiceNames ()
| Provides the available names of the factory to be used to create instances.
Public Member Functions inherited from XActionLockable
boolean | isActionLocked ()
void | addActionLock ()
| increments the lock count of the object by one.
void | removeActionLock ()
| decrements the lock count of the object by one.
void | setActionLocks ([in] short nLock)
| sets the locking level.
short | resetActionLocks ()
| resets the locking level.
Public Member Functions inherited from XLinkTargetSupplier
com::sun::star::container::XNameAccess | getLinks ()
Public Member Functions inherited from XProtectable
void | protect ([in] string aPassword)
| activates the protection.
void | unprotect ([in] string aPassword) raises ( com::sun::star::lang::IllegalArgumentException )
| removes the protection.
boolean | isProtected ()
Public Member Functions inherited from XSpreadsheetDocument
com::sun::star::sheet::XSpreadsheets | getSheets ()
| returns the collection of sheets in the document.
Public Member Functions inherited from XCalculatable
void | calculate ()
| recalculates all dirty cells.
void | calculateAll ()
| recalculates all cells.
boolean | isAutomaticCalculationEnabled ()
| returns whether automatic calculation is enabled.
void | enableAutomaticCalculation ([in] boolean bEnabled)
| enables automatic calculation.
Public Member Functions inherited from XDocumentAuditing
void | refreshArrows ()
| refreshes all existing auditing arrows on all sheets of the document.
Public Member Functions inherited from XConsolidatable
com::sun::star::sheet::XConsolidationDescriptor | createConsolidationDescriptor ([in] boolean bEmpty)
| creates a consolidation descriptor.
void | consolidate ([in] com::sun::star::sheet::XConsolidationDescriptor xDescriptor)
| consolidates data from several cell ranges, using the settings in the passed descriptor.
Public Member Functions inherited from XGoalSeek
com::sun::star::sheet::GoalResult | seekGoal ([in] com::sun::star::table::CellAddress aFormulaPosition, [in] com::sun::star::table::CellAddress aVariablePosition, [in] string aGoalValue)
| calculates a value which gives a specified result in a formula.
Public Member Functions inherited from XDrawPagesSupplier
com::sun::star::drawing::XDrawPages | getDrawPages ()
Public Member Functions inherited from XStyleFamiliesSupplier
com::sun::star::container::XNameAccess | getStyleFamilies ()
| This method returns the collection of style families available in the container document.
Public Member Functions inherited from XNumberFormatsSupplier
com::sun::star::beans::XPropertySet | getNumberFormatSettings ()
com::sun::star::util::XNumberFormats | getNumberFormats ()
Protected Member Functions inherited from XEventBroadcaster
void | addEventListener ([in] XEventListener Listener)
| registers the given listener
void | removeEventListener ([in] XEventListener Listener)
| unregisters the given listener
Protected Member Functions inherited from XDocumentEventBroadcaster
void | addDocumentEventListener ([in] XDocumentEventListener Listener)
| registers a listener which is notified about document events
void | removeDocumentEventListener ([in] XDocumentEventListener Listener)
| revokes a listener which has previously been registered to be notified about document events.
void | notifyDocumentEvent ([in] string EventName, [in] ::com::sun::star::frame::XController2 ViewController, [in] any Supplement) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::lang::NoSupportException )
| causes the broadcaster to notify all registered listeners of the given event
Protected Member Functions inherited from XEventsSupplier
com::sun::star::container::XNameReplace | getEvents ()
| offers a list of event handlers which are be bound to events of this object
Protected Member Functions inherited from XViewDataSupplier
::com::sun::star::container::XIndexAccess | getViewData ()
| retrieve information about currently opened view to restore it later
void | setViewData ([in] com::sun::star::container::XIndexAccess Data)
| restore all views which will be represented by given data argument
Protected Member Functions inherited from XPrintJobBroadcaster
void | addPrintJobListener ([in] XPrintJobListener xListener)
| adds an XPrintJobListener to be notified about print progress.
void | removePrintJobListener ([in] XPrintJobListener xListener)
| removes an XPrintJobListener.
Protected Member Functions inherited from XDocumentPropertiesSupplier
XDocumentProperties | getDocumentProperties ()
| provides the document properties object.
Protected Member Functions inherited from XUndoManagerSupplier
XUndoManager | getUndoManager ()
| returns the Undo manager associated with the component.
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Protected Member Functions inherited from XMultiServiceFactory
com::sun::star::uno::XInterface | createInstance ([in] string aServiceSpecifier) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name.
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] string ServiceSpecifier, [in] sequence< any > Arguments) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name and passes the arguments to that instance.
sequence< string > | getAvailableServiceNames ()
| Provides the available names of the factory to be used to create instances.
Protected Member Functions inherited from XActionLockable
boolean | isActionLocked ()
void | addActionLock ()
| increments the lock count of the object by one.
void | removeActionLock ()
| decrements the lock count of the object by one.
void | setActionLocks ([in] short nLock)
| sets the locking level.
short | resetActionLocks ()
| resets the locking level.
Protected Member Functions inherited from XLinkTargetSupplier
com::sun::star::container::XNameAccess | getLinks ()
Protected Member Functions inherited from XProtectable
void | protect ([in] string aPassword)
| activates the protection.
void | unprotect ([in] string aPassword) raises ( com::sun::star::lang::IllegalArgumentException )
| removes the protection.
boolean | isProtected ()
Protected Member Functions inherited from XSpreadsheetDocument
com::sun::star::sheet::XSpreadsheets | getSheets ()
| returns the collection of sheets in the document.
Protected Member Functions inherited from XCalculatable
void | calculate ()
| recalculates all dirty cells.
void | calculateAll ()
| recalculates all cells.
boolean | isAutomaticCalculationEnabled ()
| returns whether automatic calculation is enabled.
void | enableAutomaticCalculation ([in] boolean bEnabled)
| enables automatic calculation.
Protected Member Functions inherited from XDocumentAuditing
void | refreshArrows ()
| refreshes all existing auditing arrows on all sheets of the document.
Protected Member Functions inherited from XConsolidatable
com::sun::star::sheet::XConsolidationDescriptor | createConsolidationDescriptor ([in] boolean bEmpty)
| creates a consolidation descriptor.
void | consolidate ([in] com::sun::star::sheet::XConsolidationDescriptor xDescriptor)
| consolidates data from several cell ranges, using the settings in the passed descriptor.
Protected Member Functions inherited from XGoalSeek
com::sun::star::sheet::GoalResult | seekGoal ([in] com::sun::star::table::CellAddress aFormulaPosition, [in] com::sun::star::table::CellAddress aVariablePosition, [in] string aGoalValue)
| calculates a value which gives a specified result in a formula.
Protected Member Functions inherited from XDrawPagesSupplier
com::sun::star::drawing::XDrawPages | getDrawPages ()
Protected Member Functions inherited from XStyleFamiliesSupplier
com::sun::star::container::XNameAccess | getStyleFamilies ()
| This method returns the collection of style families available in the container document.
Protected Member Functions inherited from XNumberFormatsSupplier
com::sun::star::beans::XPropertySet | getNumberFormatSettings ()
com::sun::star::util::XNumberFormats | getNumberFormats ()
Protected Attributes inherited from XEmbeddedScripts
::com::sun::star::script::XStorageBasedLibraryContainer | BasicLibraries
| is the container of `StarBasic` macro libraries contained in the document
::com::sun::star::script::XStorageBasedLibraryContainer | DialogLibraries
| is the container of dialogs libraries contained in the document
boolean | AllowMacroExecution
| determines whether executing macros from this document is allowed.
Protected Attributes inherited from SpreadsheetDocumentSettings
boolean | IsIterationEnabled
| enables iterated calculation of circular references.
long | IterationCount
| specifies how many iterations are carried out.
double | IterationEpsilon
| specifies the point at which a change in results will stop the iteration.
short | StandardDecimals
| specifies the number of decimals in the default number format.
com::sun::star::util::Date | NullDate
| specifies the date that is represented by the value zero.
short | DefaultTabStop
| specifies the width of default tabulators.
boolean | IgnoreCase
| specifies whether upper and lower cases are treated as equal when comparing cells.
boolean | CalcAsShown
| specifies whether calculations are performed with the rounded values displayed in cells (set to `TRUE`) instead of the internal values (set to `FALSE`).
boolean | MatchWholeCell
| specifies whether filter criteria must match entire cell contents.
boolean | SpellOnline
| enables online spell checking.
boolean | LookUpLabels
| specifies whether column or row labels are looked up from anywhere on the sheet.
boolean | RegularExpressions
| specifies whether regular expressions in formulas are enabled, e.g., for functions which look up spreadsheet contents.
com::sun::star::i18n::XForbiddenCharacters | ForbiddenCharacters
| contains the interface XForbiddenCharacters.
boolean | HasDrawPages
| If this property is set the document has DrawPages.
com::sun::star::lang::Locale | CharLocale
| contains the standard document language for Western text.
com::sun::star::lang::Locale | CharLocaleAsian
| contains the standard document language for Asian text.
com::sun::star::lang::Locale | CharLocaleComplex
| contains the standard document language for Complex text.
boolean | IsLoaded
| specifies whether the document data are already loaded.
boolean | IsUndoEnabled
| specifies whether the undo command is enabled.
boolean | IsAdjustHeightEnabled
| specifies whether the automatic adjustment of the row height is enabled.
boolean | IsExecuteLinkEnabled
| specifies whether the automatic execution of links is enabled.
com::sun::star::awt::XDevice | ReferenceDevice
| contains the reference device used for formatting the document.
boolean | RecordChanges
| specifies whether changes record is enabled.
boolean | IsRecordChangesProtected
| specifies whether changes record is protected.
boolean | Wildcards
| specifies whether wildcards in formulas are enabled, e.g., for functions which look up spreadsheet contents.

## Detailed Description

represents a model component which consists of some settings and one or more spreadsheets.

Developers Guide
  Spreadsheet Documents - Working With Spreadsheet Documents - Document Structure - Spreadsheet Document
  Spreadsheet Documents - Spreadsheet Documents

## Exported Interfaces

## ◆ com::sun::star::document::OfficeDocument

service com::sun::star::document::OfficeDocument

common service for all types of documents.

## ◆ com::sun::star::sheet::SpreadsheetDocumentSettings

service com::sun::star::sheet::SpreadsheetDocumentSettings
| optional

contributes spreadsheet document specific properties.

Deprecated:

## Exported Interfaces

## ◆ com::sun::star::document::XActionLockable

interface com::sun::star::document::XActionLockable

provides methods to control the automatic update of cell contents.

## ◆ com::sun::star::document::XLinkTargetSupplier

interface com::sun::star::document::XLinkTargetSupplier

provides access to the collection of link targets available in the document.

## ◆ com::sun::star::drawing::XDrawPagesSupplier

interface com::sun::star::drawing::XDrawPagesSupplier

provides access to the collection of draw pages of this document.

## ◆ com::sun::star::frame::XModel

interface com::sun::star::frame::XModel

provides common methods for a document model.

This interface is derived from com::sun::star::lang::XComponent.

## ◆ com::sun::star::lang::XMultiServiceFactory

interface com::sun::star::lang::XMultiServiceFactory

provides methods to create instances of several spreadsheet services.

## ◆ com::sun::star::sheet::XCalculatable

interface com::sun::star::sheet::XCalculatable

controls the recalculation settings of the document.

## ◆ com::sun::star::sheet::XConsolidatable

interface com::sun::star::sheet::XConsolidatable

provides methods to perform a data consolidation.

## ◆ com::sun::star::sheet::XDocumentAuditing

interface com::sun::star::sheet::XDocumentAuditing

provides a method to refresh all auditing arrows.

## ◆ com::sun::star::sheet::XGoalSeek

interface com::sun::star::sheet::XGoalSeek

provides a method to perform a goal seek.

## ◆ com::sun::star::sheet::XSpreadsheetDocument

interface com::sun::star::sheet::XSpreadsheetDocument

provides access to the collection of spreadsheets.

## ◆ com::sun::star::style::XStyleFamiliesSupplier

interface com::sun::star::style::XStyleFamiliesSupplier

provides access to the collection of style families.

A spreadsheet document contains 2 families of styles: "PageStyles" and "CellStyles".

## ◆ com::sun::star::util::XNumberFormatsSupplier

interface com::sun::star::util::XNumberFormatsSupplier

provides access to the collection of number formats contained in the document.

## ◆ com::sun::star::util::XProtectable

interface com::sun::star::util::XProtectable

provides methods to protect and unprotect the document.

## Member Data Documentation

## ◆ AreaLinks

com::sun::star::sheet::XAreaLinks AreaLinks
| propertyreadonly

contains the collection of area links in the document.

## ◆ ColumnLabelRanges

com::sun::star::sheet::XLabelRanges ColumnLabelRanges
| propertyreadonly

contains the collection of column label ranges in the document.

## ◆ DatabaseRanges

com::sun::star::sheet::XDatabaseRanges DatabaseRanges
| propertyreadonly

contains the collection of database ranges in the document.

## ◆ DDELinks

com::sun::star::container::XNameAccess DDELinks
| propertyreadonly

contains the collection of DDE links in the document.

## ◆ NamedRanges

com::sun::star::sheet::XNamedRanges NamedRanges
| propertyreadonly

contains the collection of named ranges in the document.

## ◆ RowLabelRanges

com::sun::star::sheet::XLabelRanges RowLabelRanges
| propertyreadonly

contains the collection of row label ranges in the document.

## ◆ SheetLinks

com::sun::star::container::XNameAccess SheetLinks
| propertyreadonly

contains the collection of sheet links in the document.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/SpreadsheetDocument.idl